#ifndef ADC_H
#define ADC_H
//------------------------------------------------------------------------------
#include "adc_prototypes.h"
//------------------------------------------------------------------------------
void ADC_init()
{
  ADCON0 = 0xC1; //<ADCS1:ADCS0>internal A/D RC oscillator,<CHS2:CHS0>Channel 0 (AN0),(ADON) A/D converter module is powered up
  ADCON1 = 0x80; //ADFM = 1 (Right justified. Six (6) Most Significant bits of ADRESH are read as 0)
}
//------------------------------------------------------------------------------
void ADC_channelSelect(unsigned char channel)
{
  char chl = (channel <= 7) ? channel : 0; //If Invalid channel is provided default to channel 0 
  ADCON0 =  ADCON0 | (chl<<3);    //Setting the required Bits: CHS2 CHS1 CHS0
}
//------------------------------------------------------------------------------
int ADC_read(unsigned char channel)
{
  ADC_channelSelect(channel);
  ADC_conversion();

  return ((ADRESH<<8)+(ADRESL));
}
//------------------------------------------------------------------------------
void ADC_conversion()
{
  __delay_ms(1);                                     //Conversion time
  GO_DONE = 1;
  while(GO_DONE);                                    //wait for ADC completion
}
//------------------------------------------------------------------------------
#endif