#ifndef USART_H
#define USART_H
//------------------------------------------------------------------------------
void USART_init(unsigned int baudRate)
{
  TXSTA = 0xB0;   // Master mode, Set TXEN,SYNC = 1:Synchronous mode
  RCSTA = 0x80;   // Set SPEN.
  SPBRG = (int)((_XTAL_FREQ/baudRate)/4) - 1; //Formula according to Datasheet (For Highspeed mode)
  TRISC6 = 1;     // DT: Data
  TRISC7 = 1;     // CK: Clock
}
//------------------------------------------------------------------------------
char USART_read()
{
  while(!RCIF);
  return RCREG;
}
//------------------------------------------------------------------------------
void USART_write(char data)
{ 
  while(!TRMT);  //Poll if TSR is Full  TRMT   TXIF
  TXREG = data;
}
//------------------------------------------------------------------------------
void USART_string(char text[])
{
  while(*text)
  {
    USART_write(*text++);
  }
}
//------------------------------------------------------------------------------
#endif